PublicApiPrepareCampaignLaunch
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/launch/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"savedVersionId": "<string>",
"readinessVersion": "<string>",
"testOverride": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({savedVersionId: '<string>', readinessVersion: '<string>', testOverride: true})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/launch/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Campaigns
PublicApiPrepareCampaignLaunch
POST /api/v1/organizations//workspaces//campaigns//launch/prepare
POST
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
campaigns
/
{campaignId}
/
launch
/
prepare
PublicApiPrepareCampaignLaunch
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/launch/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"savedVersionId": "<string>",
"readinessVersion": "<string>",
"testOverride": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({savedVersionId: '<string>', readinessVersion: '<string>', testOverride: true})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/launch/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Body
application/json
Response
Successful response
The response is of type object.